package org.randombits.confluence.filtering.param.criteria.global;

import org.randombits.confluence.filtering.criteria.CriterionInterpreter;
import org.randombits.confluence.filtering.criteria.global.BuildNumberCriterion;
import org.randombits.confluence.filtering.param.criteria.CriterionParameter;
import org.randombits.confluence.support.MacroInfo;

public class BuildNumberParameter extends CriterionParameter {

    public BuildNumberParameter() {
        this( null );
    }
    
    protected BuildNumberParameter( String defaultValue ) {
        super( defaultValue, "build", "builds", "buildNumber", "buildNumbers" );
    }

    @Override protected CriterionInterpreter createCriterionInterpreter( MacroInfo info ) {
        return new BuildNumberCriterion.Interpretor();
    }

}
