package org.randombits.confluence.filtering.param.criteria.content;

import org.randombits.confluence.filtering.criteria.CriterionInterpreter;
import org.randombits.confluence.filtering.criteria.content.AncestorPageCriterion;
import org.randombits.confluence.filtering.param.criteria.CriterionParameter;
import org.randombits.confluence.support.MacroInfo;

public class AncestorPageParameter extends CriterionParameter {

    public AncestorPageParameter() {
        this( null );
    }

    public AncestorPageParameter( String defaultValue ) {
        super( defaultValue, "ancestor", "ancestors" );
    }

    @Override
    protected CriterionInterpreter createCriterionInterpreter( MacroInfo info ) {
        return new AncestorPageCriterion.Interpreter( info.getContent() );
    }

}
