package org.randombits.confluence.filtering.param.criteria.content;

import org.randombits.confluence.filtering.criteria.CriterionInterpreter;
import org.randombits.confluence.filtering.criteria.content.ParentPageCriterion;
import org.randombits.confluence.filtering.param.criteria.CriterionParameter;
import org.randombits.confluence.support.MacroInfo;

public class ParentPageParameter extends CriterionParameter {

    public ParentPageParameter() {
        this( null );
    }

    public ParentPageParameter( String defaultValue ) {
        super( defaultValue, "parent", "parents" );
    }

    @Override
    protected CriterionInterpreter createCriterionInterpreter( MacroInfo info ) {
        return new ParentPageCriterion.Interpreter( info.getContent() );
    }

}
